Api Documentation

Events

Events are organized happenings that will bring your network closer together. The pictures field contains an array of picture id's that can be used in the FILES endpoint to obtain the actual image. Adding pictures to events is also done through the FILES endpoint. Please refer to the documentation of the FILES endpoint for more information on how to do this.
Creates a new event. Only available to API keys without user authentication. When an image tag is included in the description field, these files are downloaded. They need to be publicly accessible. We support PNG and JPEG image file types.
Updates an event. Only available to API keys without user authentication.
Deletes a single event. Only available to API keys without user authentication.
Json
XML
GET https://api.bundeling.com/V2/events/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier used to identify an eventstring

Includes

NameDescriptionEndpoint
categoryRetrieves information about the category of the eventEventCategories
attending_usersRetrieves list of users who filled in attendance (yes or no)UserAttendsEvent
attending_users.userRetrieves information about the user attending the eventUsers
attending_users_allRetrieves list of users who filled in attendance (yes or no)UserAttendsEvent
attending_users_all.userRetrieves information about the user attending the eventUsers
attendsRetrieves if logged in user is attending the eventUserAttendsEvent
social_sharesRetrieves SocialSharing stats from eventSocialSharing
social_shares.userRetrieve information about the user of the social share of the eventUsers
picturesRetrieves list of pictures related to the eventEventPictures
attendance_formRetrieves form related to the eventForms
readRetrieves if logged in user has the event marked as readReadStatus
referencesRetrieves information about references linked to itemObjectHasReference
references.objectRetrieves the object the reference is linked toObjectHasReference
filesRetrieve information about the Files attached to the eventFiles
ticketsRetrieves any tickets related to the event. Only available with user authentication.QrCodes

Actions

NameDescriptionResettable
pushbroadcast_1_1Send push notification on notification datetrue
pushnotification_client_module_event_pictures_1Push notification "Take an ACTION PHOTO via the app for an unforgettable event" send to all attendees at the starttrue
pushnotification_client_module_event_pictures_2Extra action photo notification "Share event photos via the app. Go to the event and tap the photo icon." send to all attendeestrue
pushnotification_1_1Reminder notification to all not attending userstrue

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "author_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
    "headerimage": "eyJjbGllbnQiOjEwLCJwYXRoIjoiYnVsbGV0aW5fYm9hcmRfcGljdHVyZXNcLz...",
    "title": "Bundeling Training",
    "description": "Bundeling will be giving workshops...",
    "language": null,
    "category": "Festivals",
    "category_uuid": "8e09c4749b234633a7319148aac8cb81",
    "location": "Uden",
    "date": "2026-08-10T12:00:00+0200",
    "attendanceenddate": "2026-08-06T00:00:00+0200",
    "enddate": "2026-08-10T18:00:00+0200",
    "social_sharing": false,
    "social_sharing_link": "",
    "draft": false,
    "publicationdate": "2026-07-27T00:00:00+0200",
    "notificationdate": "2026-07-31T12:00:00+0200",
    "reminder_not_attending_notification_date": "2026-08-02T12:00:00+0200",
    "attending_email": "support@bundeling.com",
    "attendance_enabled": true,
    "hide_attendance_overview": false,
    "attendance_advanced": true,
    "actions": {
        "pushbroadcast_1_1": {
            "enabled": true,
            "executed": false
        },
        "pushnotification_client_module_event_pictures_1": {
            "enabled": true,
            "executed": false
        },
        "pushnotification_client_module_event_pictures_2": {
            "enabled": true,
            "executed": false
        },
        "pushnotification_1_1": {
            "enabled": true,
            "executed": false
        }
    },
    "attendance_limit": 0,
    "attendance_guests": true,
    "attendance_notes": true,
    "external_reference": "123908",
    "attending_users": [
        "48b99d307f8746a8b126f76be5d1153e",
        "603222387277473c997e1b0f92f45076"
    ],
    "attendance_form_uuid": "d669b048d2084892b5a5232b78923227",
    "visitor_count": 56,
    "pictures": [
        "eyJjbGllbnQiOjEwLCJwYXRoIjoiYnVsbGV0aW5fYm9hcmRfcGljdHVyZXNcLz..."
    ],
    "labels": [
        "d7743aaf53224e279853c7d0c1dbfb3a",
        "d7743aaf53224e279853c7d0c1dbfb3a"
    ],
    "combined_labels": {
        "uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
        "labels": [
            "d7743aaf53224e279853c7d0c1dbfb3a",
            "d7743aaf53224e279853c7d0c1dbfb3a"
        ]
    },
    "creationdate": "2026-04-03T00:00:00+0200",
    "lastupdate": "2026-04-03T00:00:00+0200"
}